Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.whowas
Class EPPWhoWasInfoCmd

    java.lang.Object
      com.verisign.epp.codec.gen.EPPCommand
          com.verisign.epp.codec.gen.EPPInfoCmd
              com.verisign.epp.codec.whowas.EPPWhoWasInfoCmd

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPWhoWasInfoCmd

extends EPPInfoCmd

Represents an EPP WhoWas <info> command that is used to retrieve history information based on the supplied entity identifier or entity name. The <whowas:info> element MUST contain the following child elements:

- A <whowas:type> element that contains type of the entity whose history needs to be looked up.
- Followed by either:

- A <whowas:name> element that contains the name of an entity whose history needs to be looked up.
- A <whowas:roid> element that contains the identifier of an entity whose history needs to be looked up.

`EPPWhoWasInfoResp` is the concrete `EPPResponse` associated with `EPPWhoWasInfoCmd`.

Version:
  1.0
Author:
  Deepak Deshpande
See Also:
  `EPPWhoWasInfoResp`, Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPCommand
`extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

Constructor Summary
`EPPWhoWasInfoCmd()` Default constructor
`EPPWhoWasInfoCmd(java.lang.String aTransId)` This constructor calls the super `EPPInfoCmd(String)` method to set the transaction id for the command with default `type` of `EPPWhoWasConstants.TYPE_DOMAIN`.
`EPPWhoWasInfoCmd(java.lang.String aTransId, java.lang.String aWhoWasType)` Creates an `EPPWhoWasInfoCmd` only the transaction id and type set.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPWhoWasInfoCmd`.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPWhoWasInfoCmd` attributes from the aElement DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPWhoWasInfoCmd` instance.
`boolean` | `equals(java.lang.Object o)` Compare an instance of `EPPWhoWasInfoCmd` with this instance.
`java.lang.String` | `getName()` Returns the name.
`java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPWhoWasInfoCmd`.
`java.lang.String` | `getRoid()` Returns the Registry Object IDentifier (roid).
`java.lang.String` | `getWhowasType()` Returns the whowasType
`void` | `setName(java.lang.String aName)` Sets name value to `aName`.
`void` | `setRoid(java.lang.String aRoid)` Sets Registry Object IDentifier (roid) value to `aRoid`.
`void` | `setWhowasType(java.lang.String aWhowasType)` Sets whowasType value to aWhowasType.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class com.verisign.epp.codec.gen.EPPInfoCmd
`doGenDecode, doGenEncode, getType`

Methods inherited from class com.verisign.epp.codec.gen.EPPCommand
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPWhoWasInfoCmd

    public EPPWhoWasInfoCmd()

  Default constructor

### EPPWhoWasInfoCmd

    public EPPWhoWasInfoCmd(java.lang.String aTransId)

  This constructor calls the super `EPPInfoCmd(String)` method to set the transaction id for the command with default `type` of `EPPWhoWasConstants.TYPE_DOMAIN`.

  Parameters:
    `aTransId` - Transaction Id associated with command.

### EPPWhoWasInfoCmd

    public EPPWhoWasInfoCmd(java.lang.String aTransId,
                            java.lang.String aWhoWasType)

  Creates an `EPPWhoWasInfoCmd` only the transaction id and type set. Either `name` or `roid` attributes must be set prior to calling `encode` .

  Parameters:
    `aTransId` - Transaction Id associated with command.
    `aWhoWasType` - The entity WhoWas type

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPWhoWasInfoCmd`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPCommand`
  Returns:
    clone of `EPPWhoWasInfoCmd`.
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### equals

    public boolean equals(java.lang.Object o)

  Compare an instance of `EPPWhoWasInfoCmd` with this instance.

  Overrides:
    `equals` in class `EPPInfoCmd`
  Parameters:
    `o` - Object to compare with.
  Returns:
    DOCUMENT ME!

### getNamespace

    public java.lang.String getNamespace()

  Gets the EPP command Namespace associated with `EPPWhoWasInfoCmd`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Specified by:
    `getNamespace` in class `EPPCommand`
  Returns:
    `EPPWhoWasMapFactory.NS`

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPCommand`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Decode the `EPPWhoWasInfoCmd` attributes from the aElement DOM Element tree.

  Specified by:
    `doDecode` in class `EPPInfoCmd`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPWhoWasInfoCmd` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPWhoWasInfoCmd` instance.

  Specified by:
    `doEncode` in class `EPPInfoCmd`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Root DOM Element representing the `EPPWhoWasInfoCmd` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPWhoWasInfoCmd` instance.

### getName

    public java.lang.String getName()

  Returns the name.

  Returns:
    the name

### setName

    public void setName(java.lang.String aName)

  Sets name value to `aName`.

  Parameters:
    `aName` - the name to set

### getRoid

    public java.lang.String getRoid()

  Returns the Registry Object IDentifier (roid).

  Returns:
    the roid

### setRoid

    public void setRoid(java.lang.String aRoid)

  Sets Registry Object IDentifier (roid) value to `aRoid`.

  Parameters:
    `aRoid` - the roid to set

### getWhowasType

    public java.lang.String getWhowasType()

  Returns the whowasType

  Returns:
    the whowasType

### setWhowasType

    public void setWhowasType(java.lang.String aWhowasType)

  Sets whowasType value to aWhowasType. The default value is `EPPWhoWasConstants.TYPE_DOMAIN`.

  Parameters:
    `aWhowasType` - the whowasType to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.